%{!?tcl_version: %define tcl_version %(echo 'puts $tcl_version' | tclsh)}
%{!?tcl_sitelib: %define tcl_sitelib %{_datadir}/tcl%{tcl_version}}
%define cvsdate 20080610

Name:           tkcon
Version:        2.5
Release:        3.%{cvsdate}cvs%{?dist}
Summary:        Tcl GUI console

# cvs -z3 -d:pserver:anonymous@tkcon.cvs.sourceforge.net:/cvsroot/tkcon export -D 2008-06-10 -d tkcon-20080610cvs tkcon
# tar czf tkcon-20080610cvs.tgz ./tkcon-20080610cvs
Group:          Development/Tools
License:        TCL
URL:            http://tkcon.sourceforge.net/
#Source0:        http://downloads.sourceforge.net/tkcon/tkcon-2.4.tar.gz
Source0:        tkcon-%{cvsdate}cvs.tgz
Source1:        tkcon.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  tcl-devel
Requires: tcl(abi) = 8.5 tk

BuildArch: noarch
BuildRequires: desktop-file-utils
Requires:  tk

%description
tkcon is a replacement for the standard Tk console with many more features.
It works on all platforms where Tcl/Tk is available.
It is meant primarily to aid one when working with the little details
inside tcl and tk, giving Unix users the GUI console provided by default
in the Mac and Windows Tk.

%prep
%setup -q -n %{name}-%{cvsdate}cvs
chmod a-x docs/*.* index.html
rm docs/*.txt
mv docs/license.terms .

%build
# Nothing to build!

%install
rm -rf $RPM_BUILD_ROOT
install -pD -m 0755 tkcon.tcl $RPM_BUILD_ROOT/%{_bindir}/tkcon

install -pD -m 0644 tkcon.tcl $RPM_BUILD_ROOT/%{tcl_sitelib}/tkcon-%{version}/tkcon.tcl
install -pD -m 0644 pkgIndex.tcl $RPM_BUILD_ROOT/%{tcl_sitelib}/tkcon-%{version}/pkgIndex.tcl

desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        %{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/*
%{tcl_sitelib}/%{name}-%{version}
%{_datadir}/applications/*.desktop
%doc license.terms README.txt index.html docs

%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5-3.20080610cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5-2.20080610cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jun 10 2008 Wart <wart at kobold.org> - 2.5-1.20080610cvs
- Update to CVS head for ds9 (BZ #445879)

* Sun Aug 26 2007 Wart <wart at kobold.org> - 2.4-6
- License tag clarification

* Sat Aug 11 2007 Wart <wart at kobold.org> - 2.4-5
- Clean up .desktop file
- Silence some trivial rpmlint warnings

* Mon Aug 28 2006 Wart <wart at kobold.org> - 2.4-4
- Rebuild for FC-6

* Thu Feb 16 2006 Wart <wart at kobold.org> - 2.4-3
- Rebuild for FC-5

* Wed Dec 28 2005 Wart <wart at kobold.org> - 2.4-2
- Better description and installed documentation layout.

* Fri Dec 9 2005 Wart <wart at kobold.org> - 2.4-1
- Initial Fedora spec file.
